---
name: Defect report
about: Create a report to help us improve PrimeFaces
title: 'Component: Title'
labels: defect

---

**Describe the defect**
A clear and concise description of what the defect is.

**Reproducer**
Clone repository https://github.com/primefaces/primefaces-test.git in order to reproduce your problem, you'll have better chance to receive an answer and a solution and attach the GitHub Link or zip file of your reproducer here. **NOTE:** PrimeFaces test can easily be set to use the latest `master-SNAPSHOT` of what is in GitHub. Please test with that before reporting a bug that may already be fixed.

**Environment:**
 - PF Version: _10.0_
 - JSF + version: _e.g. Mojarra 2.2.20 or MyFaces 2.3.9_
 - Affected browsers: _e.g. Chrome, iOS, ALL_

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Example XHTML**
```html
<h:form id="frmTest">
  ..
</h:form>
```

**Example Bean**
```java
@Named
@ViewScoped
public class TestView implements Serializable {

}
```
