# Migration guide 5.0 -> 6.0

* If manually included, the primefaces.js include must be changed to include core.js and components.js
* The same also applies for the MenuRenderers of all PrimeFaces Layouts (before new layout versions will be released). 
  Please change  
  `@ResourceDependency(library="primefaces", name="primefaces.js")`  
  to  
  `@ResourceDependency(library="primefaces", name="core.js"),  
    @ResourceDependency(library="primefaces", name="components.js")`  
* Following components were migrated from PrimeFaces Extensions to PrimeFaces:
  - InputNumber
  - Timeline
  - Knob
  - KeyFilter
  - ImportConstants
  - ImportEnum
* ImportConstants: className has been renamed to type
* Search Expressions: SEF was refactored to skip unrendered components per default. If you would like to search for unrendered components in your application, please pass `SearchExpressionFacade#Options#VISIT_UNRENDERED` as option.
* "last" facet for resources: before 6.0, it was possible to use the last facade inside any tag to add resources. We never implemented this feature so it was just a random feature as the facet always belongs to the direct parent. Please use the "last" facet only in h:head.
* Dynamic Resource Loading: We reimplemented this feature, so that it will even work for other libraries like PrimeFaces Extensions. If you dynamically add components via Java code, please make sure you create the component via the `#createComponent` API:  
`ColorPicker colorPicker = (ColorPicker) FacesContext.getCurrentInstance().getApplication().createComponent(ColorPicker.COMPONENT_TYPE);`  
instead:  
`ColorPicker colorPicker = new ColorPicker();`  
* Per default, DataTable now skips processing child components for some events like paging. If you need child processing, you can set skipChildren="false" on p:ajax.
* GMap Rectangles: SouthWest and NorthEast was rendered the wrong direction. You probably need to switch the constructor parameters of LatLngBounds now.
* ContextMenu: p:contextMenu must be placed AFTER the target component (e.g. datatable) in the xhtml now.
* CommandButton: onclick will not be rendered if disable is set to false. This may cause unexpected behavior if the component is enabled on the client.
* The captcha API changes to V2.