# Migration guide 6.1 -> 6.2

## Core
* As we upgraded to jQuery 3.x and did some refactoring on escaping, escaping ':' in PFS currently only requires 1 slash instead of 2 in the xhtml. See https://github.com/primefaces/primefaces/issues/2395
* ROME has been updated to com.rometools:rome and therefore the package has been changed. See https://github.com/primefaces/primefaces/issues/2406

## OutputLabel
* `indicateRequired=true` must be refactored to indicateRequired=auto or removed. See https://github.com/primefaces/primefaces/issues/2854.

## OutputPanel
* Two attributes on p:outputPanel, 'delay' and 'global', have been removed. You need to define them via:
`<p:ajax event="load" delay="1000" global="true" />`. See https://github.com/primefaces/primefaces/issues/2829 

## SelectOneMenu / ThemeSwitcher
* If custom content (with p:column(s) as child) is used with POJOs and you have a default f:selectItem like "Choose...", null (value="#{null}") instead of empty string (value="") should be used. Otherwise the properties on the var can't be resolved and a exception will be thrown. 

## DataExporter
* Apache POI minimum version 3.17 to use Excel export

### Others
* autoUpdate attribute of outputPanel, fragment, messages and growl has been deprecated. In 6.2 every component can be autoUpdateable by adding `<p:autoUpdate />` as child. See https://github.com/primefaces/primefaces/issues/2838
* p:component has been deprecated. Use `p:resolveClientId('@id(myTable)', view)` instead of `p:component('myTable')`. It also supports all search expressions other than ids. See https://github.com/primefaces/primefaces/issues/2771
* p:widgetVar has been deprecated. Use `p:resolveWidgetVar('myTable', view)` instead of `p:widgetVar('myTable')`. It also supports all search expressions other than ids. See https://github.com/primefaces/primefaces/issues/2771
* Many methods of RequestContext are deprecated now as we have done an internal splitup of internal functionalities and helpers for the end user. The deprecated methods in RequestContext are marked as @Deprecated and contain a hint for the new methods to use. The new base for helpers for the end user is now `PrimeFaces.current()`. RequestContext will be cleaned up and removed in the next release. See https://github.com/primefaces/primefaces/issues/2853